Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class ScriptBytecodeAdapter

    java.lang.Object
      org.codehaus.groovy.runtime.ScriptBytecodeAdapter

    public class ScriptBytecodeAdapter
    extends java.lang.Object

A static helper class to interface bytecode and runtime

Authors:
  Jochen Theodorou

Version:
  \$Revision\$

Field Summary
`static java.lang.Object[]` | `EMPTY_ARGS`

Method Summary
`static java.lang.Object` | `asType(java.lang.Object object, java.lang.Class type)`
`static void` | `assertFailed(java.lang.Object expression, java.lang.Object message)`
`static java.lang.Object` | `bitwiseNegate(java.lang.Object value)`
`static java.lang.Object` | `castToType(java.lang.Object object, java.lang.Class type)`
`static boolean` | `compareEqual(java.lang.Object left, java.lang.Object right)`
`static boolean` | `compareGreaterThan(java.lang.Object left, java.lang.Object right)`
`static boolean` | `compareGreaterThanEqual(java.lang.Object left, java.lang.Object right)`
`static boolean` | `compareIdentical(java.lang.Object left, java.lang.Object right)`
`static boolean` | `compareLessThan(java.lang.Object left, java.lang.Object right)`
`static boolean` | `compareLessThanEqual(java.lang.Object left, java.lang.Object right)`
`static boolean` | `compareNotEqual(java.lang.Object left, java.lang.Object right)`
`static boolean` | `compareNotIdentical(java.lang.Object left, java.lang.Object right)`
`static java.lang.Integer` | `compareTo(java.lang.Object left, java.lang.Object right)`
`static Wrapper` | `createGroovyObjectWrapper(GroovyObject val, java.lang.Class clazz)`
`static java.util.List` | `createList(java.lang.Object[] values)`
`static java.util.Map` | `createMap(java.lang.Object[] values)`
`static Wrapper` | `createPojoWrapper(java.lang.Object val, java.lang.Class clazz)`
`static java.util.List` | `createRange(java.lang.Object from, java.lang.Object to, boolean inclusive)`
`static Tuple` | `createTuple(java.lang.Object[] array)`
`static java.lang.Object[]` | `despreadList(java.lang.Object[] args, java.lang.Object[] spreads, int[] positions)`
`static java.util.regex.Matcher` | `findRegex(java.lang.Object left, java.lang.Object right)`
`static java.lang.Object` | `getField(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)`
`static java.lang.Object` | `getFieldOnSuper(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)`
`static java.lang.Object` | `getFieldOnSuperSafe(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)`
`static java.lang.Object` | `getFieldOnSuperSpreadSafe(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)`
`static java.lang.Object` | `getFieldSafe(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)`
`static java.lang.Object` | `getFieldSpreadSafe(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)`
`static java.lang.Object` | `getGroovyObjectField(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)`
`static java.lang.Object` | `getGroovyObjectFieldSafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)`
`static java.lang.Object` | `getGroovyObjectFieldSpreadSafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)`
`static java.lang.Object` | `getGroovyObjectProperty(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)`
`static java.lang.Object` | `getGroovyObjectPropertySafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)`
`static java.lang.Object` | `getGroovyObjectPropertySpreadSafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)`
`static Closure` | `getMethodPointer(java.lang.Object object, java.lang.String methodName)`
`static java.lang.Object` | `getProperty(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)`
`static java.lang.Object` | `getPropertyOnSuper(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)`
`static java.lang.Object` | `getPropertyOnSuperSafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)`
`static java.lang.Object` | `getPropertyOnSuperSpreadSafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)`
`static java.lang.Object` | `getPropertySafe(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)`
`static java.lang.Object` | `getPropertySpreadSafe(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)`
`static MetaClass` | `initMetaClass(java.lang.Object object)`
`static java.lang.Object` | `invokeClosure(java.lang.Object closure, java.lang.Object[] arguments)`
`static java.lang.Object` | `invokeMethod0(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)`
`static java.lang.Object` | `invokeMethod0Safe(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)`
`static java.lang.Object` | `invokeMethod0SpreadSafe(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)`
`static java.lang.Object` | `invokeMethodN(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName, java.lang.Object[] messageArguments)`
`static java.lang.Object` | `invokeMethodNSafe(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName, java.lang.Object[] messageArguments)`
`static java.lang.Object` | `invokeMethodNSpreadSafe(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName, java.lang.Object[] messageArguments)`
`static java.lang.Object` | `invokeMethodOnCurrent0(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)`
`static java.lang.Object` | `invokeMethodOnCurrent0Safe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName, java.lang.Object[] messageArguments)`
`static java.lang.Object` | `invokeMethodOnCurrent0SpreadSafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName, java.lang.Object[] messageArguments)`
`static java.lang.Object` | `invokeMethodOnCurrentN(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName, java.lang.Object[] messageArguments)`
`static java.lang.Object` | `invokeMethodOnCurrentNSafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName, java.lang.Object[] messageArguments)`
`static java.lang.Object` | `invokeMethodOnCurrentNSpreadSafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName, java.lang.Object[] messageArguments)`
`static java.lang.Object` | `invokeMethodOnSuper0(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)`
`static java.lang.Object` | `invokeMethodOnSuper0Safe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName, java.lang.Object[] messageArguments)`
`static java.lang.Object` | `invokeMethodOnSuper0SpreadSafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName, java.lang.Object[] messageArguments)`
`static java.lang.Object` | `invokeMethodOnSuperN(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName, java.lang.Object[] messageArguments)`
`static java.lang.Object` | `invokeMethodOnSuperNSafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName, java.lang.Object[] messageArguments)`
`static java.lang.Object` | `invokeMethodOnSuperNSpreadSafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName, java.lang.Object[] messageArguments)`
`static java.lang.Object` | `invokeNew0(java.lang.Class senderClass, java.lang.Class receiver)`
`static java.lang.Object` | `invokeNewN(java.lang.Class senderClass, java.lang.Class receiver, java.lang.Object arguments)`
`static java.lang.Object` | `invokeStaticMethod0(java.lang.Class senderClass, java.lang.Class receiver, java.lang.String messageName)`
`static java.lang.Object` | `invokeStaticMethodN(java.lang.Class senderClass, java.lang.Class receiver, java.lang.String messageName, java.lang.Object[] messageArguments)`
`static boolean` | `isCase(java.lang.Object switchValue, java.lang.Object caseExpression)`
`static boolean` | `matchRegex(java.lang.Object left, java.lang.Object right)`
`static java.util.regex.Pattern` | `regexPattern(java.lang.Object regex)`
`static int` | `selectConstructorAndTransformArguments(java.lang.Object[] arguments, int numberOfConstructors, java.lang.Class which)`
`static void` | `setField(java.lang.Object messageArgument, java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)`
`static void` | `setFieldOnSuper(java.lang.Object messageArgument, java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)`
`static void` | `setFieldOnSuperSafe(java.lang.Object messageArgument, java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)`
`static void` | `setFieldOnSuperSpreadSafe(java.lang.Object messageArgument, java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)`
`static void` | `setFieldSafe(java.lang.Object messageArgument, java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)`
`static void` | `setFieldSpreadSafe(java.lang.Object messageArgument, java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)`
`static void` | `setGroovyObjectField(java.lang.Object messageArgument, java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)`
`static void` | `setGroovyObjectFieldSafe(java.lang.Object messageArgument, java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)`
`static void` | `setGroovyObjectFieldSpreadSafe(java.lang.Object messageArgument, java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)`
`static void` | `setGroovyObjectProperty(java.lang.Object messageArgument, java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)` Provides a hook for type coercion of the given object to the required type
`static void` | `setGroovyObjectPropertySafe(java.lang.Object messageArgument, java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)`
`static void` | `setGroovyObjectPropertySpreadSafe(java.lang.Object messageArgument, java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)`
`static void` | `setProperty(java.lang.Object messageArgument, java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)`
`static void` | `setPropertyOnSuper(java.lang.Object messageArgument, java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)`
`static void` | `setPropertyOnSuperSafe(java.lang.Object messageArgument, java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)`
`static void` | `setPropertyOnSuperSpreadSafe(java.lang.Object messageArgument, java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)`
`static void` | `setPropertySafe(java.lang.Object messageArgument, java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)`
`static void` | `setPropertySpreadSafe(java.lang.Object messageArgument, java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)`
`static java.lang.Object` | `spreadMap(java.lang.Object value)`
`static java.lang.Object` | `unaryMinus(java.lang.Object value)`
`static java.lang.Object` | `unaryPlus(java.lang.Object value)`
`static java.lang.Throwable` | `unwrap(GroovyRuntimeException gre)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### EMPTY_ARGS

    public static final java.lang.Object[] EMPTY_ARGS

Method Detail

### asType

    public static java.lang.Object asType(java.lang.Object object, java.lang.Class type)

### assertFailed

    public static void assertFailed(java.lang.Object expression, java.lang.Object message)

### bitwiseNegate

    public static java.lang.Object bitwiseNegate(java.lang.Object value)

### castToType

    public static java.lang.Object castToType(java.lang.Object object, java.lang.Class type)

### compareEqual

    public static boolean compareEqual(java.lang.Object left, java.lang.Object right)

### compareGreaterThan

    public static boolean compareGreaterThan(java.lang.Object left, java.lang.Object right)

### compareGreaterThanEqual

    public static boolean compareGreaterThanEqual(java.lang.Object left, java.lang.Object right)

### compareIdentical

    public static boolean compareIdentical(java.lang.Object left, java.lang.Object right)

### compareLessThan

    public static boolean compareLessThan(java.lang.Object left, java.lang.Object right)

### compareLessThanEqual

    public static boolean compareLessThanEqual(java.lang.Object left, java.lang.Object right)

### compareNotEqual

    public static boolean compareNotEqual(java.lang.Object left, java.lang.Object right)

### compareNotIdentical

    public static boolean compareNotIdentical(java.lang.Object left, java.lang.Object right)

### compareTo

    public static java.lang.Integer compareTo(java.lang.Object left, java.lang.Object right)

### createGroovyObjectWrapper

    public static Wrapper createGroovyObjectWrapper(GroovyObject val, java.lang.Class clazz)

### createList

    public static java.util.List createList(java.lang.Object[] values)

### createMap

    public static java.util.Map createMap(java.lang.Object[] values)

### createPojoWrapper

    public static Wrapper createPojoWrapper(java.lang.Object val, java.lang.Class clazz)

### createRange

    public static java.util.List createRange(java.lang.Object from, java.lang.Object to, boolean inclusive)

### createTuple

    public static Tuple createTuple(java.lang.Object[] array)

### despreadList

    public static java.lang.Object[] despreadList(java.lang.Object[] args, java.lang.Object[] spreads, int[] positions)

### findRegex

    public static java.util.regex.Matcher findRegex(java.lang.Object left, java.lang.Object right)

### getField

    public static java.lang.Object getField(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)

### getFieldOnSuper

    public static java.lang.Object getFieldOnSuper(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)

### getFieldOnSuperSafe

    public static java.lang.Object getFieldOnSuperSafe(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)

### getFieldOnSuperSpreadSafe

    public static java.lang.Object getFieldOnSuperSpreadSafe(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)

### getFieldSafe

    public static java.lang.Object getFieldSafe(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)

### getFieldSpreadSafe

    public static java.lang.Object getFieldSpreadSafe(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)

### getGroovyObjectField

    public static java.lang.Object getGroovyObjectField(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)

### getGroovyObjectFieldSafe

    public static java.lang.Object getGroovyObjectFieldSafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)

### getGroovyObjectFieldSpreadSafe

    public static java.lang.Object getGroovyObjectFieldSpreadSafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)

### getGroovyObjectProperty

    public static java.lang.Object getGroovyObjectProperty(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)

### getGroovyObjectPropertySafe

    public static java.lang.Object getGroovyObjectPropertySafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)

### getGroovyObjectPropertySpreadSafe

    public static java.lang.Object getGroovyObjectPropertySpreadSafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)

### getMethodPointer

    public static Closure getMethodPointer(java.lang.Object object, java.lang.String methodName)

### getProperty

    public static java.lang.Object getProperty(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)

### getPropertyOnSuper

    public static java.lang.Object getPropertyOnSuper(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)

### getPropertyOnSuperSafe

    public static java.lang.Object getPropertyOnSuperSafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)

### getPropertyOnSuperSpreadSafe

    public static java.lang.Object getPropertyOnSuperSpreadSafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)

### getPropertySafe

    public static java.lang.Object getPropertySafe(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)

### getPropertySpreadSafe

    public static java.lang.Object getPropertySpreadSafe(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)

### initMetaClass

    public static MetaClass initMetaClass(java.lang.Object object)

### invokeClosure

    public static java.lang.Object invokeClosure(java.lang.Object closure, java.lang.Object[] arguments)

### invokeMethod0

    public static java.lang.Object invokeMethod0(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)

### invokeMethod0Safe

    public static java.lang.Object invokeMethod0Safe(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)

### invokeMethod0SpreadSafe

    public static java.lang.Object invokeMethod0SpreadSafe(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)

### invokeMethodN

    public static java.lang.Object invokeMethodN(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName, java.lang.Object[] messageArguments)

### invokeMethodNSafe

    public static java.lang.Object invokeMethodNSafe(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName, java.lang.Object[] messageArguments)

### invokeMethodNSpreadSafe

    public static java.lang.Object invokeMethodNSpreadSafe(java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName, java.lang.Object[] messageArguments)

### invokeMethodOnCurrent0

    public static java.lang.Object invokeMethodOnCurrent0(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)

### invokeMethodOnCurrent0Safe

    public static java.lang.Object invokeMethodOnCurrent0Safe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName, java.lang.Object[] messageArguments)

### invokeMethodOnCurrent0SpreadSafe

    public static java.lang.Object invokeMethodOnCurrent0SpreadSafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName, java.lang.Object[] messageArguments)

### invokeMethodOnCurrentN

    public static java.lang.Object invokeMethodOnCurrentN(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName, java.lang.Object[] messageArguments)

### invokeMethodOnCurrentNSafe

    public static java.lang.Object invokeMethodOnCurrentNSafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName, java.lang.Object[] messageArguments)

### invokeMethodOnCurrentNSpreadSafe

    public static java.lang.Object invokeMethodOnCurrentNSpreadSafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName, java.lang.Object[] messageArguments)

### invokeMethodOnSuper0

    public static java.lang.Object invokeMethodOnSuper0(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)

### invokeMethodOnSuper0Safe

    public static java.lang.Object invokeMethodOnSuper0Safe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName, java.lang.Object[] messageArguments)

### invokeMethodOnSuper0SpreadSafe

    public static java.lang.Object invokeMethodOnSuper0SpreadSafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName, java.lang.Object[] messageArguments)

### invokeMethodOnSuperN

    public static java.lang.Object invokeMethodOnSuperN(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName, java.lang.Object[] messageArguments)

### invokeMethodOnSuperNSafe

    public static java.lang.Object invokeMethodOnSuperNSafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName, java.lang.Object[] messageArguments)

### invokeMethodOnSuperNSpreadSafe

    public static java.lang.Object invokeMethodOnSuperNSpreadSafe(java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName, java.lang.Object[] messageArguments)

### invokeNew0

    public static java.lang.Object invokeNew0(java.lang.Class senderClass, java.lang.Class receiver)

### invokeNewN

    public static java.lang.Object invokeNewN(java.lang.Class senderClass, java.lang.Class receiver, java.lang.Object arguments)

### invokeStaticMethod0

    public static java.lang.Object invokeStaticMethod0(java.lang.Class senderClass, java.lang.Class receiver, java.lang.String messageName)

### invokeStaticMethodN

    public static java.lang.Object invokeStaticMethodN(java.lang.Class senderClass, java.lang.Class receiver, java.lang.String messageName, java.lang.Object[] messageArguments)

### isCase

    public static boolean isCase(java.lang.Object switchValue, java.lang.Object caseExpression)

### matchRegex

    public static boolean matchRegex(java.lang.Object left, java.lang.Object right)

### regexPattern

    public static java.util.regex.Pattern regexPattern(java.lang.Object regex)

### selectConstructorAndTransformArguments

    public static int selectConstructorAndTransformArguments(java.lang.Object[] arguments, int numberOfConstructors, java.lang.Class which)

### setField

    public static void setField(java.lang.Object messageArgument, java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)

### setFieldOnSuper

    public static void setFieldOnSuper(java.lang.Object messageArgument, java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)

### setFieldOnSuperSafe

    public static void setFieldOnSuperSafe(java.lang.Object messageArgument, java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)

### setFieldOnSuperSpreadSafe

    public static void setFieldOnSuperSpreadSafe(java.lang.Object messageArgument, java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)

### setFieldSafe

    public static void setFieldSafe(java.lang.Object messageArgument, java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)

### setFieldSpreadSafe

    public static void setFieldSpreadSafe(java.lang.Object messageArgument, java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)

### setGroovyObjectField

    public static void setGroovyObjectField(java.lang.Object messageArgument, java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)

### setGroovyObjectFieldSafe

    public static void setGroovyObjectFieldSafe(java.lang.Object messageArgument, java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)

### setGroovyObjectFieldSpreadSafe

    public static void setGroovyObjectFieldSpreadSafe(java.lang.Object messageArgument, java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)

### setGroovyObjectProperty

    public static void setGroovyObjectProperty(java.lang.Object messageArgument, java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)

  Provides a hook for type coercion of the given object to the required type
  throws:
    Throwable if the coercion fails
  Parameters:
    `type` - of object to convert the given object to
    `object` - the object to be converted
  Returns:
    the original object or a new converted value

### setGroovyObjectPropertySafe

    public static void setGroovyObjectPropertySafe(java.lang.Object messageArgument, java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)

### setGroovyObjectPropertySpreadSafe

    public static void setGroovyObjectPropertySpreadSafe(java.lang.Object messageArgument, java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)

### setProperty

    public static void setProperty(java.lang.Object messageArgument, java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)

### setPropertyOnSuper

    public static void setPropertyOnSuper(java.lang.Object messageArgument, java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)

### setPropertyOnSuperSafe

    public static void setPropertyOnSuperSafe(java.lang.Object messageArgument, java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)

### setPropertyOnSuperSpreadSafe

    public static void setPropertyOnSuperSpreadSafe(java.lang.Object messageArgument, java.lang.Class senderClass, GroovyObject receiver, java.lang.String messageName)

### setPropertySafe

    public static void setPropertySafe(java.lang.Object messageArgument, java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)

### setPropertySpreadSafe

    public static void setPropertySpreadSafe(java.lang.Object messageArgument, java.lang.Class senderClass, java.lang.Object receiver, java.lang.String messageName)

### spreadMap

    public static java.lang.Object spreadMap(java.lang.Object value)

### unaryMinus

    public static java.lang.Object unaryMinus(java.lang.Object value)

### unaryPlus

    public static java.lang.Object unaryPlus(java.lang.Object value)

### unwrap

    public static java.lang.Throwable unwrap(GroovyRuntimeException gre)

Groovy Documentation